Distorted Android - Feature #25

Enable Transform Feedback
04/30/2017 10:12 PM - Distorted Admin

Status: Closed

Priority: High

Assignee: Distorted Admin
Category:

Target version:

Start date: 04/30/2017
Due date:

% Done: 100%
Estimated time: 0.00 hour

Description

Transform Feedback enables the CPU to read back the coords of the transferred vertices. This means we would be able to render a
Mesh to a buffer FBO, read back its vertices, compute the bounding rectangle in CPU, and based on that efficiently postprocess the
buffer by setting up the Scissor test to only process the bounding rectangle (+optionally some boundary).

Transform Feedback is available in OpenGL ES 3.0. Add support for it.

History

#1 - 04/30/2017 10:12 PM - Distorted Admin

- Status changed from New to In Progress

#2 - 05/26/2017 12:14 PM - Leszek Koltunski

Transform Feedback merged back to trunk in commit 54d38d30. Used to (optionally) display normal vectors. The 'Effects3D' app shows this.

#3 - 05/26/2017 12:18 PM - Distorted Admin

- Status changed from In Progress to Resolved

- % Done changed from 0 to 100

#4 - 05/26/2017 12:19 PM - Distorted Admin

- Status changed from Resolved to Closed
